SSTableExport (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.tools
Class SSTableExport

    java.lang.Object
      org.apache.cassandra.tools.SSTableExport

    public class SSTableExport

extends java.lang.Object

Export SSTables to JSON format.

Constructor Summary
`SSTableExport()`

Method Summary
`static void` | `enumeratekeys(java.lang.String ssTableFile, java.io.PrintStream outs)` Enumerate row keys from an SSTableReader and write the result to a PrintStream.
`static void` | `export(java.lang.String ssTableFile, java.io.PrintStream outs, java.util.Collection<java.lang.String> toExport, java.lang.String[] excludes)` Export specific rows from an SSTable and write the resulting JSON to a PrintStream.
`static void` | `export(java.lang.String ssTableFile, java.io.PrintStream outs, java.lang.String[] excludes)` Export an SSTable and write the resulting JSON to a PrintStream.
`static void` | `export(java.lang.String ssTableFile, java.lang.String[] excludes)` Export an SSTable and write the resulting JSON to standard out.
`static void` | `main(java.lang.String[] args)` Given arguments specifying an SSTable, and optionally an output file, export the contents of the SSTable to JSON.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTableExport

    public SSTableExport()

Method Detail

### enumeratekeys

    public static void enumeratekeys(java.lang.String ssTableFile,
                                     java.io.PrintStream outs)
                              throws java.io.IOException

  Enumerate row keys from an SSTableReader and write the result to a PrintStream.

  Parameters:
    `ssTableFile` - the file to export the rows from
    `outs` - PrintStream to write the output to
  Throws:
    `java.io.IOException` - on failure to read/write input/output

### export

    public static void export(java.lang.String ssTableFile,
                              java.io.PrintStream outs,
                              java.util.Collection<java.lang.String> toExport,
                              java.lang.String[] excludes)
                       throws java.io.IOException

  Export specific rows from an SSTable and write the resulting JSON to a PrintStream.

  Parameters:
    `ssTableFile` - the SSTableScanner to export the rows from
    `outs` - PrintStream to write the output to
    `toExport` - the keys corresponding to the rows to export
    `excludes` - keys to exclude from export
  Throws:
    `java.io.IOException` - on failure to read/write input/output

### export

    public static void export(java.lang.String ssTableFile,
                              java.io.PrintStream outs,
                              java.lang.String[] excludes)
                       throws java.io.IOException

  Export an SSTable and write the resulting JSON to a PrintStream.

  Parameters:
    `ssTableFile` - the SSTable to export
    `outs` - PrintStream to write the output to
    `excludes` - keys to exclude from export
  Throws:
    `java.io.IOException` - on failure to read/write input/output

### export

    public static void export(java.lang.String ssTableFile,
                              java.lang.String[] excludes)
                       throws java.io.IOException

  Export an SSTable and write the resulting JSON to standard out.

  Parameters:
    `ssTableFile` - SSTable to export
    `excludes` - keys to exclude from export
  Throws:
    `java.io.IOException` - on failure to read/write SSTable/standard out

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            ConfigurationException

  Given arguments specifying an SSTable, and optionally an output file, export the contents of the SSTable to JSON.

  Parameters:
    `args` - command lines arguments
  Throws:
    `java.io.IOException` - on failure to open/read/write files or output streams
    `ConfigurationException` - on configuration failure (wrong params given)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation